#include "Edit.h"

int main()
{
	initgraph(640, 480, EX_DBLCLKS);
	setbkcolor(WHITE);
	cleardevice();

	BeginBatchDraw();

	settextstyle(20, 0, L"Consolas");

	Edit edit;
	ExMessage msg;
	while (true)
	{
		bool newmsg = false;
		while (peekmessage(&msg, EX_CHAR | EX_KEY | EX_MOUSE))
		{
			edit.UpdateMessage(true, msg);
			newmsg = true;
		}
		if (!newmsg)
		{
			edit.UpdateMessage(false, msg);
			Sleep(10);
		}
	}

	EndBatchDraw();
	closegraph();
	return 0;
}

